Package docking.widgets.table.threaded

# Class IncrementalLoadJob<ROW_OBJECT>

java.lang.Object
ghidra.util.worker.Job
docking.widgets.table.threaded.IncrementalLoadJob<ROW_OBJECT>

All Implemented Interfaces:
  `ThreadedTableModelListener`

public class IncrementalLoadJob<ROW_OBJECT> extends Job implements ThreadedTableModelListener

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  `void`
  `loadingFinished(boolean wasCancelled)`
  Called when the table is done loading data.
  `void`
  `loadingStarted()`
  Called when the table begins to load new data.
  `void`
  `loadPending()`
  Called when the model has new data to be loaded, but has not yet started the load process.
  `void`
  `run(TaskMonitor monitor)`
  The method that gets called by the Worker when this job is selected to be run by the Worker.

  ### Methods inherited from class ghidra.util.worker.Job

  `getError, hasError, isCancelled, isCompleted, setCompleted, setError, setTaskMonitor`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### run

    public void run(TaskMonitor monitor)
    Description copied from class: `Job`
    The method that gets called by the Worker when this job is selected to be run by the Worker.
    Specified by:
      `run` in class `Job`
    Parameters:
      `monitor` - the monitor

  - ### cancel

    public void cancel()
    Overrides:
      `cancel` in class `Job`

  - ### loadPending

    public void loadPending()
    Description copied from interface: `ThreadedTableModelListener`
    Called when the model has new data to be loaded, but has not yet started the load process.
    Specified by:
      `loadPending` in interface `ThreadedTableModelListener`

  - ### loadingStarted

    public void loadingStarted()
    Description copied from interface: `ThreadedTableModelListener`
    Called when the table begins to load new data.
    Specified by:
      `loadingStarted` in interface `ThreadedTableModelListener`

  - ### loadingFinished

    public void loadingFinished(boolean wasCancelled)
    Description copied from interface: `ThreadedTableModelListener`
    Called when the table is done loading data.
    Specified by:
      `loadingFinished` in interface `ThreadedTableModelListener`
    Parameters:
      `wasCancelled` - true if the load was cancelled.